Check the status of one or more profile distribution sessions. You can check the status
of the entire session, or you can filter the results to specific devices.
ImportantThis API supports the POST method only. To identify the distribution session you want
to check, you must submit an XML request body. A GET request does not return the status
of a distribution.
|
Definition
ipsProfileMgmt/distributionStatus
Method: POST
Request body elements
Submit the request body as an XML file attachment using the
multipart/form-data content type.
| Element | Type | Description |
| distributions | Required. Root element of the request. | |
| distribution/id | string | Required. Internal ID assigned to the distribution session. This is the
id attribute returned by
Distribute a profile.
Specify one
distribution element for each session you want to check.
|
| device/id | string | Optional. Internal ID assigned to the device. |
| device/shortID | integer | Optional. Internal number assigned to the device. |
| device/name | string | Optional. Device name. |
| device/ipAddress | string | Optional. Device IP address. |
NoteThe
device element filters the response to the devices you specify. If you do not specify a
device element, the response includes every device in the distribution session.
|
Example
Save the request body to a file, and then reference the file in the request. The following
request body checks the status of two distribution sessions, and filters the first
session to a single device:
<distributions> <distribution id="<number>"> <device> <name>IPS-Device-1</name> </device> </distribution> <distribution id="<number>"/> </distributions>
curl -k --header "X-SMS-API-KEY: <string>" -F "file=@</path/to/request.xml>" "https://<sms_server>/ipsProfileMgmt/distributionStatus"
Request body schema
<?xml version="1.0" encoding="utf-8"?> <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"> <xs:simpleType name="uuid"> <xs:restriction base="xs:string"> <xs:pattern value="<value>"/> </xs:restriction> </xs:simpleType> <xs:element name="distributions"> <xs:complexType> <xs:sequence> <xs:element name="distribution" minOccurs="1" maxOccurs="unbounded"> <xs:complexType> <xs:sequence> <xs:element name="device" minOccurs="0" maxOccurs="unbounded"> <xs:complexType> <xs:choice> <xs:element name="name" type="xs:string"/> <xs:element name="id" type="uuid"/> <xs:element name="shortID" type="xs:positiveInteger"/> <xs:element name="ipAddress" type="xs:string"/> </xs:choice> </xs:complexType> </xs:element> </xs:sequence> <xs:attribute name="id" type="uuid"/> </xs:complexType> </xs:element> </xs:sequence> </xs:complexType> </xs:element> </xs:schema>
NoteThe SMS tracks only active distribution sessions. If the SMS
restarts, or if the session is no longer active, the SMS can no longer resolve
the
distribution ID and returns a status of
Distribution not specified
for that session. |
